---
title: "インペイントプリセットの制限の取得"
description: "インペイントの modelPreset のサイズ制限とリドロープリセットを返します。不明なプリセットの場合はエラーではなく null のフィールドを返します。認証は不要です。"
canonical: "https://platform.pixai.art/ja/docs/api-v2/image/getInpaintConstraints"
last-updated: "2026-11-02"
---

# インペイントプリセットの制限の取得

インペイントの `modelPreset` のサイズ制限とリドロープリセットを返します。不明なプリセットの場合はエラーではなく `null` のフィールドを返します。認証は不要です。



## GET https://api.pixai.art/v2/gen-task/inpaint/constraints

Authentication: optional. Send your API key as `Authorization: Bearer <API key>` to read as your account.

Machine-readable OpenAPI spec: https://platform.pixai.art/openapi-spec.v2.ja.yaml

### Parameters

- `modelPreset` (in query, string, required)

### Responses

- `200`
  プリセットの制限。
  Body fields:
  - `modelPreset` (string, optional)
  - `constraints` (object | null, optional)
    画像のサイズ制限です。プリセットに制限がない場合は `null` です。
  - `constraints.minWidth` (integer, optional)
  - `constraints.maxWidth` (integer, optional)
  - `constraints.minHeight` (integer, optional)
  - `constraints.maxHeight` (integer, optional)
  - `constraints.maxPixels` (integer, optional)
    幅 × 高さの最大値です。
  - `constraints.dimensionStep` (integer, optional)
    幅と高さはこの値の倍数である必要があります。
  - `sdeditPresets` (object | null, optional)
    名前ごとのリドロープリセットです。`sdeditPreset` に使います。
  - `defaultSdeditPreset` (string | null, optional)
